Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 222967 - Stabilization of NX 3.2 clients and servers packages
Summary: Stabilization of NX 3.2 clients and servers packages
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2008-05-20 13:51 UTC by Bernard Cafarelli
Modified: 2008-06-05 15:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Cafarelli gentoo-dev 2008-05-20 13:51:35 UTC
Time to stabilize the NX 3.2 branch packages, and new (gpl) client qtnx!

Candidate packages are:
* net-misc/nxclient-3.2.0
* net-misc/nxnode-3.2.0
* net-misc/nxserver-freeedition-3.2.0
* net-misc/nx-3.2.0 (finally a stable candidate for amd64)
* net-misc/nxserver-freenx-0.7.2-r2 (same)
* net-misc/nxcl-0.9
* net-misc/qtnx-0.9
Comment 1 Peter Volkov (RETIRED) gentoo-dev 2008-05-25 06:09:34 UTC
Hm, I have some problems with qtnx on x86. After I configure connection and attempt to start it I receive an error in console. Second attempt just hangs on "Process started" message:

peter@camobap ~ $ qtnx
Process started
stdout> notQProcess error: 0 crashed. errno:2
Process exited
Process started
Process started

BTW, may be related: README of qtnx file I found that it has "nxssh from NoMachine" as prerequisites, but I don't have such executable on my system. I have nx built with net-misc/nx-3.2.0  USE="-rdesktop -vnc". I'll try to rebuilt with vnc and rdesktop enabled to see if this fixes the problem...
Comment 2 Bernard Cafarelli gentoo-dev 2008-05-26 08:22:12 UTC
Its is related indeed, in fact nxssh is not provided by net-misc/nx, but net-misc/nxclient. I added it as RDEPEND in nxcl (removing nxclient from my system produces the same error), thanks!
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2008-05-29 10:38:29 UTC
x86 stable
Comment 4 Peter Volkov (RETIRED) gentoo-dev 2008-06-04 18:37:23 UTC
qtnx misses dependency on qt that why the error:

>>> Emerging (4 of 4) net-misc/qtnx-0.9 to /
 * freenx-client-0.9.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                               [ ok ]
 * checking ebuild checksums ;-) ...                                                                                       [ ok ]
 * checking auxfile checksums ;-) ...                                                                                      [ ok ]
 * checking miscfile checksums ;-) ...                                                                                     [ ok ]
 * checking freenx-client-0.9.tar.bz2 ;-) ...                                                                              [ ok ]
>>> Unpacking source...
>>> Unpacking freenx-client-0.9.tar.bz2 to /var/tmp/portage/net-misc/qtnx-0.9/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/net-misc/qtnx-0.9/work/freenx-client-0.9/qtnx ...
 * Processing qmake qtnx.pro ...                                                                                           [ !! ]

 * Running qmake on "qtnx.pro" has failed

 * This shouldn't happen - please send a bug report to bugs.gentoo.org

 *
 * ERROR: net-misc/qtnx-0.9 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2880:  Called eqmake4
 *             environment, line 1371:  Called die
 * The specific snippet of code:
 *           die "qmake failed on ${projprofile}";
 *  The die message:
 *   qmake failed on qtnx.pro
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-misc/qtnx-0.9/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-misc/qtnx-0.9/temp/environment'.

Bernard whenever you'll be fixing this, please, take a note that there are two versions of qt: old, but the only stable - 4.3.x and splitted version - 4.4.0 (still hardmasked but about to became unmasked).
Comment 5 Peter Volkov (RETIRED) gentoo-dev 2008-06-04 20:18:41 UTC
Bernard and to simplify you testing, x11-libs/qt-4.3.3 built without any USE flags enabled allows to build and run qtnx. I haven't tested with split qt.
Comment 6 Bernard Cafarelli gentoo-dev 2008-06-04 22:19:26 UTC
Thanks Peter! Somehow I thought qt4 eclass set a minimum DEPEND by default...

Update DEPEND based on bug #217528 hints, with qt-core and qt-gui for split qt
Comment 7 Peter Volkov (RETIRED) gentoo-dev 2008-06-05 15:26:11 UTC
amd64 stable. Fixed.